### Constructor

# ICalGLib Datetimeperiod new

since: 1.0

#### Declaration [src]

    ICalDatetimeperiod*
    i_cal_datetimeperiod_new (
      void
    )

#### Description [src]

Creates a new `ICalDatetimeperiod`.

Available since: 1.0

#### Return value

Type: `ICalDatetimeperiod`

The newly created `ICalDatetimeperiod`.

The caller of the function takes ownership of the data, and is responsible for freeing it.